#!/usr/bin/env python

plugins = [
	'AcronymFinder',
	'Amazon',
	'Babelfish',
	'BadWords',
	'Bnc',
	'CafeBrioso',
	'ChannelRelay',
	'Currency',
	'CyborgName',
	'Darcs',
	'Dcc',
	'Debian',
	'Dunno',
	'Ebay',
	'ExternalNotice',
	'Freenode',
	'Freshmeat',
	'Gameknot',
	'Gateway',
	'Geekquote',
	'Grasshoppaz',
	'IgnoreFormatting',
	'Infobot',
	'Linux',
	'Lookup',
	'Mailbox',
	'Markov',
	'Memo',
	'Minstrel',
	'OSU',
	'Pastebin',
	'Poll',
	'Postman',
	'Python',
	'RawLogger',
	'Rhyme',
	'RootWarner',
	'Sourceforge',
	'Sshd',
	'Stock',
	'Success',
	'Supybot',
	'Tail',
	'TracBot',
	'UrbanDict',
	'Vim',
	'Weather',
	'Webopedia',
	'Webserver',
	'WordStats',
	'Zipinfo',
    ]

import sys

if sys.version_info < (2, 3, 0):
    sys.stderr.write("Supybot requires Python 2.3 or newer.\n")
    sys.exit(-1)

import glob
import shutil
import os.path

from distutils.core import setup
from distutils.sysconfig import get_python_lib

pluginFiles = glob.glob(os.path.join('.', '*.py'))

packages =  ['supybot.plugins.' + s for s in plugins]

package_dir = { }
package_data = { }

for plugin in plugins:
    package_dir['supybot.plugins.' + plugin] = plugin
    package_data['supybot.plugins.' + plugin] = ['README.txt']

version = '20060723'
setup(
    name='supybot-plugins',
    version=version,
    packages=packages,
    package_dir=package_dir,
    package_data=package_data,
    )


# vim:set shiftwidth=4 tabstop=4 expandtab textwidth=79:
